function[nsub] = numberOfwts(n,k)

% numberOfwts(n,k)
%
% Returns the number of NBI subproblems that need to be solved
% n is the number of objectives
% 1/k is the uniform spacing between two w_i (k integral)
% 				
% Reqd number of subproblems = n+k-1 Choose k

	nsub = 1;
	for i = 1:k

		nsub = (nsub*(n+i-1))/i ;

	end 


